Sign inSign up
phpmyadmin logo

phpmyadmin:apache

Multi-platform
Also known as:
5
5-apache
5.2
5.2-apache
5.2.3
5.2.3-apache
latest
Developer tools
Databases & storage
Index digest

sha256:9e915766488a0f603183367a4b51f5db6309ea801f3eaa25138a83815772b14f

OS/ARCH

Compressed size

161.8 MB

Last pushed

about 13 hours by doijanky

Type

Image

Vulnerabilities

1
6
16
142
1

Manifest digest

sha256:65a0769376c7b69013d03b07ef3dc5146b2f4b1ea68f7b37c857238f7eac28ad

Layers (52)

php:8.3-apache
0
3
7
133
1
phpmyadmin:apache
1
3
9
9
0

30

ENV UPLOAD_PROGRESS_EXT_URL=https://github.com/php/pecl-php-uploadprogress/archive/refs/tags/uploadprogress-2.0.2.tar.gz

0 B


31

ENV UPLOAD_PROGRESS_SHA256=fe3f6cdfcedad563c970c4fd1cda31e422cfc0df5cc9a217d8c80ed3c8d137f5

0 B


32

RUN /bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; savedAptMark="$(apt-mark showmanual)"; apt-get install -y --no-install-recommends libbz2-dev libfreetype6-dev libjpeg-dev libpng-dev libwebp-dev libxpm-dev libzip-dev ; mkdir -p /tmp/uploadprogress; curl -fsSL -o /tmp/uploadprogress/uploadprogress.tar.gz "$UPLOAD_PROGRESS_EXT_URL"; echo "$UPLOAD_PROGRESS_SHA256 /tmp/uploadprogress/uploadprogress.tar.gz" | sha256sum -c -; tar -xf /tmp/uploadprogress/uploadprogress.tar.gz -C /tmp/uploadprogress --strip-components=1; docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp --with-xpm; docker-php-ext-install -j "$(nproc)" bz2 gd mysqli opcache zip bcmath /tmp/uploadprogress ; rm -r /tmp/uploadprogress; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; extdir="$(php -r 'echo ini_get("extension_dir");')"; ldd "$extdir"/*.so | awk '/=>/ { so = $(NF-1); if (index(so, "/usr/local/") == 1) { next }; gsub("^/(usr/)?", "", so); print so }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; a2enmod remoteip; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; ldd "$extdir"/*.so | grep -qzv "=> not found" || (echo "Sanity check failed: missing libraries:"; ldd "$extdir"/*.so | grep " => not found"; exit 1); ldd "$extdir"/*.so | grep -q "libzip.so.* => .*/libzip.so.*" || (echo "Sanity check failed: libzip.so is not referenced"; ldd "$extdir"/*.so; exit 1); err="$(php --version 3>&1 1>&2 2>&3)"; [ -z "$err" ] || (echo "Sanity check failed: php returned errors; $err"; exit 1;); # buildkit

5.21 MB


33

ENV PMA_SSL_DIR=/etc/phpmyadmin/ssl

0 B


34

ENV MAX_EXECUTION_TIME=600

0 B


35

ENV MEMORY_LIMIT=512M

0 B


36

ENV UPLOAD_LIMIT=2048K

0 B


37

ENV TZ=UTC

0 B


38

ENV SESSION_SAVE_PATH=/sessions

0 B


39

RUN /bin/sh -c set -ex; mkdir $SESSION_SAVE_PATH; mkdir -p $PMA_SSL_DIR; chmod 1777 $SESSION_SAVE_PATH; chmod 755 $PMA_SSL_DIR; chown www-data:www-data /etc/phpmyadmin; chown www-data:www-data $PMA_SSL_DIR; chown www-data:www-data $SESSION_SAVE_PATH; { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; } > $PHP_INI_DIR/conf.d/opcache-recommended.ini; { echo 'session.cookie_httponly=1'; echo 'session.use_strict_mode=1'; } > $PHP_INI_DIR/conf.d/session-strict.ini; { echo 'allow_url_fopen=Off'; echo 'max_execution_time=${MAX_EXECUTION_TIME}'; echo 'max_input_vars=10000'; echo 'memory_limit=${MEMORY_LIMIT}'; echo 'post_max_size=${UPLOAD_LIMIT}'; echo 'upload_max_filesize=${UPLOAD_LIMIT}'; echo 'date.timezone=${TZ}'; echo 'session.save_path=${SESSION_SAVE_PATH}'; } > $PHP_INI_DIR/conf.d/phpmyadmin-misc.ini # buildkit

651 B


40

USER www-data:www-data

0 B


41

ENV VERSION=5.2.3

0 B


42

ENV SHA256=57881348297c4412f86c410547cf76b4d8a236574dd2c6b7d6a2beebe7fc44e3

0 B


43

ENV URL=https://files.phpmyadmin.net/phpMyAdmin/5.2.3/phpMyAdmin-5.2.3-all-languages.tar.xz

0 B


44

LABEL org.opencontainers.image.title=Official phpMyAdmin Docker image org.opencontainers.image.description=Run phpMyAdmin with Alpine, Apache and PHP FPM. org.opencontainers.image.authors=The phpMyAdmin Team <[email protected]> org.opencontainers.image.vendor=phpMyAdmin org.opencontainers.image.documentation=https://github.com/phpmyadmin/docker#readme org.opencontainers.image.licenses=GPL-2.0-only org.opencontainers.image.version=5.2.3 org.opencontainers.image.url=https://github.com/phpmyadmin/docker#readme org.opencontainers.image.source=https://github.com/phpmyadmin/docker.git

0 B


45

RUN /bin/sh -c set -ex; export GNUPGHOME="$(mktemp -d)"; export GPGKEY="3D06A59ECE730EB71B511C17CE752F178259BD92"; curl -fsSL -o phpMyAdmin.tar.xz $URL; curl -fsSL -o phpMyAdmin.tar.xz.asc $URL.asc; echo "$SHA256 *phpMyAdmin.tar.xz" | sha256sum -c -; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$GPGKEY" || gpg --batch --keyserver pgp.mit.edu --recv-keys "$GPGKEY" || gpg --batch --keyserver keyserver.pgp.com --recv-keys "$GPGKEY" || gpg --batch --keyserver keys.openpgp.org --recv-keys "$GPGKEY"; gpg --batch --verify phpMyAdmin.tar.xz.asc phpMyAdmin.tar.xz; tar -xf phpMyAdmin.tar.xz -C /var/www/html --strip-components=1; mkdir -p /var/www/html/tmp; gpgconf --kill all; rm -r "$GNUPGHOME" phpMyAdmin.tar.xz phpMyAdmin.tar.xz.asc; rm -r -v /var/www/html/setup/ /var/www/html/examples/ /var/www/html/js/src/ /var/www/html/babel.config.json /var/www/html/doc/html/_sources/ /var/www/html/RELEASE-DATE-$VERSION /var/www/html/CONTRIBUTING.md; grep -q -F "'configFile' => ROOT_PATH . 'config.inc.php'," /var/www/html/libraries/vendor_config.php; sed -i "s@'configFile' => .*@'configFile' => '/etc/phpmyadmin/config.inc.php',@" /var/www/html/libraries/vendor_config.php; grep -q -F "'configFile' => '/etc/phpmyadmin/config.inc.php'," /var/www/html/libraries/vendor_config.php; php -l /var/www/html/libraries/vendor_config.php; find /var/www/html -type d -exec chmod 555 {} \;; find /var/www/html -type f -exec chmod 444 {} \;; chmod 1777 /var/www/html/tmp; # buildkit

14.09 MB


46

COPY --chown=www-data:www-data config.inc.php /etc/phpmyadmin/config.inc.php # buildkit

2.14 KB


47

COPY --chown=www-data:www-data helpers.php /etc/phpmyadmin/helpers.php # buildkit

857 B


48

COPY docker-entrypoint.sh /docker-entrypoint.sh # buildkit

944 B


49

USER root

0 B


50

ENTRYPOINT ["/docker-entrypoint.sh"]

0 B


51

CMD ["apache2-foreground"]

0 B